<?php
require_once './engine/inc/templates.class.php';

$tpl = new dle_template;
$tpl->dir = './templates/'.$config['skin'];

$tpl->load_template('preview.css');

echo <<<HTML
<html><title> </title>
<meta content="text/html; charset={$config['charset']}" http-equiv=Content-Type>
<style type="text/css">
{$tpl->copy_template}
</style>
<body><center>
HTML;

$tpl->clear();

//####################################################################################################################
//                        
//####################################################################################################################
$result_cat = $db->query("SELECT * FROM " . PREFIX . "_category");

while($row = $db->get_row($result_cat)){
    $cat[$row['id']] = $row['name'];
    $cat_icon[$row['id']]=$row['icon'];
	$cat_alt_name[$row['id']]=$row['alt_name'];
	$cat_parentid[$row['id']]=$row['parentid'];

}
mysql_free_result($result_cat);

echo <<<HTML
<script language="javascript" type="text/javascript">
<!--
function ShowBild(sPicURL) {
window.open('{$config['http_home_url']}engine/modules/imagepreview.php?image='+sPicURL, '', 'resizable=1,HEIGHT=200,WIDTH=200, scrollbars=yes');
                        }
//-->
</script>
HTML;

include(ENGINE_DIR.'/inc/parse.class.php');

$parse = new ParseFilter(Array(), Array(), 1, 1);

$full_story = $parse->process($_POST['full_story']);
$short_story = $parse->process($_POST['short_story']);
$title = stripslashes($parse->process($_POST['title']));

if ($config['allow_admin_wysiwyg'] == "yes" OR $allow_br != '1'){
$full_story = $parse->BB_Parse($full_story);
$short_story = $parse->BB_Parse($short_story);
} else {
$full_story = $parse->BB_Parse($full_story, false);
$short_story = $parse->BB_Parse($short_story, false);
}

		if (!count($category)) { $my_cat = "---"; $my_cat_link = "---";} else {

		$my_cat = array (); $my_cat_link = array ();
	
			foreach ($category as $element) {
				if ($element) { $my_cat[] = $cat[$element];
								$my_cat_link[] = "<a href=\"#\">{$cat[$element]}</a>";
				}
			}
		$my_cat = stripslashes(implode (', ', $my_cat));
		$my_cat_link = stripslashes(implode (', ', $my_cat_link));
		}

if(!trim($full_story))
$full_story  = $short_story;

    $tpl->load_template('shortstory.tpl');

    $tpl->set('{title}', $title);
    $tpl->set('{views}', 0);
    $tpl->set('{date}', langdate($config['timestamp_active'], time()));
    $tpl->set('[link]',"<a href=#>");
    $tpl->set('[/link]',"</a>");
    $tpl->set('{comments-num}', 0);
    $tpl->set('{short-story}', stripslashes($short_story));
    $tpl->set('{full-story}', stripslashes($full_story));
    if($full_story){
        $tpl->set('[full-link]', "<a href=#>"); }
    else{
          $tpl->set_block("'\[full-link\].*?\[/full-link\]'","");
    }
    $tpl->set('[/full-link]', "</a>");
    $tpl->set('[com-link]', "<a href=#>");
    $tpl->set('[/com-link]', "</a>");
	$tpl->set('{rating}', "");
    $tpl->set('{category}', $my_cat);
    $tpl->set('{link-category}', $my_cat_link);
    if($cat_icon[$category[0]] != ""){ $tpl->set('{category-icon}', "<img border=0 src=\"".$cat_icon[$category[0]]."\">"); }
    else{ $tpl->set('{category-icon}', ""); }


    $tpl->set('[mail]',"");
    $tpl->set('[/mail]',"");
    $tpl->set('{news-id}', "ID Unknown");
    $tpl->set('{php-self}', $PHP_SELF);

	$tpl->set_block("'\[hide\](.*?)\[/hide\]'i","\\1");
    $tpl->set('[is-logged]',"");
    $tpl->set('[/is-logged]',"");
	$tpl->set_block("'\\[not-logged\\].*?\\[/not-logged\\]'si","");
	$tpl->set_block("'\\[edit\\].*?\\[/edit\\]'si","");

	$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);

    $xfieldsaction = "templatereplacepreview";
    $xfieldsinput = $tpl->copy_template;
    include(ENGINE_DIR.'/inc/xfields.php');
    $tpl->copy_template = $xfieldsoutput;

$tpl->copy_template = "<fieldset style=\"border-style:solid; border-width:1; border-color:black;\"><legend> <span style=\"font-size: 10px; font-family: Verdana\"> :</span> </legend>".$tpl->copy_template."</fieldset>";
$tpl->compile('shortstory');
echo $tpl->result['shortstory'];

if($full_story){

    $tpl->load_template('fullstory.tpl');

    $tpl->set('{title}', $title);
    $tpl->set('{views}', 0);
    $tpl->set('{date}', langdate($config['timestamp_active'], time()));
    $tpl->set('[link]',"<a href=#>");
    $tpl->set('[/link]',"</a>");
    $tpl->set('{comments-num}', 0);
    $tpl->set('{short-story}', stripslashes($short_story));
    $tpl->set('{full-story}', stripslashes($full_story));
    if($full_story){
        $tpl->set('[full-link]', "<a href=#>"); }
    else{
          $tpl->set_block("'\[full-link\].*?\[/full-link\]'","");
    }
    $tpl->set('[/full-link]', "</a>");
    $tpl->set('[com-link]', "<a href=#>");
    $tpl->set('[/com-link]', "</a>");
	$tpl->set('{rating}', "");
    $tpl->set('{category}', $my_cat);
    $tpl->set('{link-category}', $my_cat_link);
    if($cat_icon[$category[0]] != ""){ $tpl->set('{category-icon}', "<img border=0 src=\"".$cat_icon[$category[0]]."\">"); }
    else{ $tpl->set('{category-icon}', ""); }


    $tpl->set('[mail]',"");
    $tpl->set('[/mail]',"");
    $tpl->set('{news-id}', "ID Unknown");
    $tpl->set('{php-self}', $PHP_SELF);
	$tpl->set_block("'\[hide\](.*?)\[/hide\]'i","\\1");
    $tpl->set('[is-logged]',"");
    $tpl->set('[/is-logged]',"");
	$tpl->set_block("'\\[not-logged\\].*?\\[/not-logged\\]'si","");
	$tpl->set_block("'\\[edit\\].*?\\[/edit\\]'si","");

    $tpl->set('[print-link]',"<a href=#>");
    $tpl->set('[/print-link]',"</a>");

	$tpl->set('{THEME}', $config['http_home_url'].'templates/'.$config['skin']);

    $xfieldsaction = "templatereplacepreview";
    $xfieldsinput = $tpl->copy_template;
    include(ENGINE_DIR.'/inc/xfields.php');
    $tpl->copy_template = $xfieldsoutput;

$tpl->copy_template = "<fieldset style=\"border-style:solid; border-width:1; border-color:black;\"><legend> <span style=\"font-size: 10px; font-family: Verdana\"> :</span> </legend>".$tpl->copy_template."</fieldset>";
$tpl->compile('fullstory');
echo $tpl->result['fullstory'];

}

?>
</center></body></html>