<?PHP
/*
=====================================================
 DataLife Engine - by SoftNews Media Group 
-----------------------------------------------------
 http://www.pc-soft.ru/
-----------------------------------------------------
 Copyright (c) 2004,2006 SoftNews Media Group
=====================================================
     
=====================================================
 : functions.inc.php
-----------------------------------------------------
 :  
=====================================================
*/
if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

///////////////////////////////////////////////////////
// Function:     formatsize
// Description: Format the size of given file

function formatsize($file_size){
    if($file_size >= 1073741824)
        {$file_size = round($file_size / 1073741824 * 100) / 100 . " Gb";}
    elseif($file_size >= 1048576)
        {$file_size = round($file_size / 1048576 * 100) / 100 . " Mb";}
    elseif($file_size >= 1024)
        {$file_size = round($file_size / 1024 * 100) / 100 . " Kb";}
    else{$file_size = $file_size . " b";}
return $file_size;
}

///////////////////////////////////////////////////////
// Class:     microTimer
// Description: calculates the micro time

class microTimer {
    function start() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $starttime = $mtime;
    }
    function stop() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $endtime = $mtime;
        $totaltime = round (($endtime - $starttime), 5);
        return $totaltime;
    }
}

function get_real_time()
{
	list($seconds, $microSeconds) = explode(' ', microtime());
	return ((float)$seconds + (float)$microSeconds);
}
///////////////////////////////////////////////////////
// Function:     check_login
// Description: Check login information

function check_login($username, $md5_password){
     global $member_db, $db;

$result = FALSE;

$username 	  = mysql_escape_string($username);
$md5_password = mysql_escape_string($md5_password);

	if (!preg_match("/[\||\'|\"|\!]/",$username))
	{
$sql_result = $db->query("SELECT * FROM " . PREFIX . "_users where name='$username' and password='$md5_password' and banned != 'yes' and user_group < '4'");

	while($row = $db->get_row($sql_result))
	{
$member_db[0] = $row['reg_date'];
$member_db[1] = $row['user_group'];
$member_db[2] = $row['name'];
$member_db[5] = $row['email'];
$member_db[6] = $row['news_num'];
$member_db[7] = $row['allow_mail'];
$member_db[10] = $row['user_id'];
$member_db[11] = $row['fullname'];
$member_db[12] = $row['land'];
$member_db[13] = $row['icq'];
$result = TRUE;

	}
}

        return $result;
}


////////////////////////////////////////////////////////
// Function:     msg
// Description: Displays message to user

function msg($type, $title, $text, $back=FALSE){
global $lang;

  if($back){
        $back = "<br /><br> <a class=main href=\"$back\">$lang[func_msg]</a>";
  }

  echoheader($type, $title);

echo <<<HTML
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$title}</div></td>
    </tr>
</table>
<div class="unterline"></div>
<table width="100%">
    <tr>
        <td height="100" align="center">{$text} {$back}</td>
    </tr>
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;

  echofooter();
exit();
}

////////////////////////////////////////////////////////
// Function:    echoheader
// Description: Displays header skin

function echoheader($image, $header_text){
    global $PHP_SELF, $skin_header, $lang_content_type, $skin_menu, $skin_prefix;

    $skin_header = preg_replace("/{image-name}/", "${skin_prefix}${image}", $skin_header);
    $skin_header = preg_replace("/{header-text}/", $header_text, $skin_header);
    $skin_header = preg_replace("/{content-type}/", $lang_content_type, $skin_header);
    $skin_header = preg_replace("/{user}/", $member_db[2], $skin_header);    

    echo $skin_header;
}

////////////////////////////////////////////////////////
// Function:     echofooter
// Description: Displays footer skin

function echofooter(){

    global $PHP_SELF, $is_loged_in, $skin_footer, $lang_content_type, $skin_menu, $skin_prefix;

    $skin_footer = preg_replace("/{content-type}/", $lang_content_type, $skin_footer);

    echo $skin_footer;

}



////////////////////////////////////////////////////////
// Function:     insertSmilies
// Description: insert smilies for adding into news/comments

function insertSmilies($insert_location, $break_location = FALSE)
{
    global $config;
	$i = 0;
	$output = "";

    $smilies = explode(",", $config['smilies']);
    foreach($smilies as $smile)
    {
        $i++; $smile = trim($smile);

        $output .= "<a href=\"javascript:insertext(':$smile:','$insert_location')\"><img style=\"border: none;\" alt=\"$smile\" src=\"".$config['http_home_url']."engine/data/emoticons/$smile.gif\" /></a>";
       	if($i%$break_location == 0 and $break_location)
		{
			$output .= "<br />";
		}else{ $output .= "&nbsp;"; }
    }
    return $output;
}

////////////////////////////////////////////////////////
// Function:    ListDir
// Description: Delete the folder

function listdir($dir){

    $current_dir = opendir($dir);
    while($entryname = readdir($current_dir)){
        if(is_dir("$dir/$entryname") and ($entryname != "." and $entryname!="..")){
            listdir("${dir}/${entryname}");
        }elseif($entryname != "." and $entryname!=".."){
            unlink("${dir}/${entryname}");
        }
    }
    @closedir($current_dir);
    rmdir(${dir});
}

function totranslit($var)
{
        $NpjLettersFrom = "";
        $NpjLettersTo   = "abvgdeziklmnoprstufcy";
        $NpjBiLetters = array( 
      "" => "jj", "" => "jo", "" => "zh", "" => "kh", "" => "ch", 
      "" => "sh", "" => "shh", "" => "je", "" => "ju", "" => "ja",
      "" => "", "" => "",
                              );

        $NpjCaps  = "Ũ";
        $NpjSmall = "";

	  $var = trim(strip_tags($var));
      $var = preg_replace( "/\s+/ms", "_", $var );
      $var = strtr( $var, $NpjCaps, $NpjSmall );
      $var = strtr( $var, $NpjLettersFrom, $NpjLettersTo );
      $var = strtr( $var, $NpjBiLetters );

      $var = preg_replace("/[^a-z0-9_]+/mi", "", $var);
	  $var = strtolower ( $var );

  return $var;
}

////////////////////////////////////////////////////////
// Function:    LangDate
// Description: Changing of date by cyrillic equivalents

////////////
// Set config to date safe values
foreach ($langdateweekdays as $langdatename => $langdatevalue)
  $langdateweekdays[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdateshortweekdays as $langdatename => $langdatevalue)
  $langdateshortweekdays[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdatemonths as $langdatename => $langdatevalue)
  $langdatemonths[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdateshortmonths as $langdatename => $langdatevalue)
  $langdateshortmonths[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);

////////////
// Declare the function
function langdate($langdateformat, $langdatetimestamp){
  global $langdateshortweekdays, $langdatemonths, $langdateweekdays, $langdateshortmonths;
  $langdateformat = preg_replace("/(?<!\\\\)D/", $langdateshortweekdays[date("w", $langdatetimestamp)], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)F/", $langdatemonths[date("n", $langdatetimestamp) - 1], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)l/", $langdateweekdays[date("w", $langdatetimestamp)], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)M/", $langdateshortmonths[date("n", $langdatetimestamp) - 1], $langdateformat);

  return date($langdateformat, $langdatetimestamp);
}


function CategoryNewsSelection($categoryid = 0, $parentid = 0, $nocat = TRUE, $sublevelmarker = '', $returnstring = '')
{
  global $cat, $cat_parentid;

  if($parentid == 0) {
    if ($nocat) $returnstring .= '<option value="0"></option>';
  } else  {
    $sublevelmarker .= '&nbsp;&nbsp;&nbsp;&nbsp;';
  }
  if (isset($cat_parentid)) {

  $root_category = @array_keys($cat_parentid, $parentid);
  if (is_array($root_category)) {
  foreach ($root_category as $id) {
   $category_name = $cat[$id];

   $returnstring .= '<option value="'.$id.'" ';

   	if (is_array ($categoryid)){
		foreach ($categoryid as $element) {
		if($element == $id) $returnstring .= 'SELECTED';
		}
	}
	elseif($categoryid == $id) $returnstring .= 'SELECTED'; 

   $returnstring .= '>'.$sublevelmarker.$category_name.'</option>';

    $returnstring = CategoryNewsSelection($categoryid, $id, $nocat, $sublevelmarker, $returnstring);
   }
  }
}
  return $returnstring;
}


function filesize_url($url){
   return ($data = @file_get_contents($url)) ? strlen($data) : false;
}


function clear_cache($cache_area = false){
	if ($cache_area){
	$filename = ENGINE_DIR.'/cache/'.$cache_area.'.tmp';
	@unlink($filename);
	} else {
	$fdir = opendir(ENGINE_DIR.'/cache');
    while ($file = readdir($fdir)){
        if ($file != '.' and $file != '..' and $file != '.htaccess' and $file != 'system'){
	                @unlink(ENGINE_DIR.'/cache/'.$file);

      	  }
  	  }
	}
}

 function xfieldsdataload ($id) {

  if ($id == "") return;

      $xfieldsdata = explode("||", $id);
      foreach ($xfieldsdata as $xfielddata) {
        list($xfielddataname, $xfielddatavalue) = explode("|", $xfielddata);
        $xfielddataname = str_replace("&#124;", "|", $xfielddataname);
        $xfielddataname = str_replace("__NEWL__", "\r\n", $xfielddataname);
        $xfielddatavalue = str_replace("&#124;", "|", $xfielddatavalue);
        $xfielddatavalue = str_replace("__NEWL__", "\r\n", $xfielddatavalue);
        $data[$xfielddataname] = $xfielddatavalue;
      }
    return $data;
 }

  function xfieldsload() {
  global $lang;
  $path = ENGINE_DIR.'/data/xfields.txt';
  $filecontents = file($path);

    if (!is_array($filecontents))
    msg("error", $lang['xfield_error'], "$lang[xfield_err_3] \"engine/data/xfields.txt\". $lang[xfield_err_4]");
  
    foreach ($filecontents as $name => $value) {
      $filecontents[$name] = explode("|", trim($value));
      foreach ($filecontents[$name] as $name2 => $value2) {
        $value2 = str_replace("&#124;", "|", $value2); 
        $value2 = str_replace("__NEWL__", "\r\n", $value2);
        $filecontents[$name][$name2] = $value2;
      }
    }
    return $filecontents;
  }

function create_metatags ($story) {
global $config;

$keyword_count = 20;
$newarr = array ();
$headers = array ();
$quotes = array( "\x27", "\x22", "\x60", "\t",'\n','\r', '\\', "'",",",".","/","","#",";",":","@","~","[","]","{","}","=","-","+",")","(","*","&","^","%","$","<",">","?","!", '"' );
$fastquotes = array( "\x27", "\x22", "\x60", "\t","\n","\r",'"',"'" );


  if (!$config['meta_generator'])
	{

   	  $headers['description'] = mysql_escape_string(substr(strip_tags(stripslashes($_REQUEST['descr'])), 0, 150));
	  $headers['keywords'] = mysql_escape_string(str_replace($fastquotes, " ", strip_tags(stripslashes($_REQUEST['keywords']))));

	return $headers;
	}

	$story = str_replace('<br />', ' ', $story );
	$story = strip_tags ($story);
	$story = str_replace($quotes, '', $story );
	$story = trim($story);

	$arr   = explode(" ", $story);

	foreach ($arr as $word) {
	if (strlen($word) > 4) $newarr [] = $word;
	}

	$arr   = array_count_values ($newarr);
	arsort ($arr);

	$arr = array_keys($arr);

	$total = count ($arr);

	$offset = 0;

	$arr =	array_slice ($arr, $offset, $keyword_count);

	$headers['keywords'] = mysql_escape_string(implode (", ", $arr));
	$headers['description'] = mysql_escape_string(substr($story, 0, 150));

return $headers;
}

?>